Subject: Re: User state / style bug

From: Dominik Vogt <[email-masked]>
Date: Fri, 25 Jun 2004 11:31:22 +0200

On Wed, May 05, 2004 at 09:18:57PM -0400, Salvatore Domenick Desiano wrote:
> o The change_mask indicates which flags have been changed recently
> o but not yet applied to the corresponding windows.  The
> o flag_default is used to allow for non-zero default values if the
> o style has never been set (or its last instance has been deleted).
> o It is used only for a couple of old styles to allow backwards
> o compatibility.  It's usually not necessary to fiddle with the
> o defaults.
> 
> Ah. I see.
> 
> o > 			change_mask |= mask;
> o
> o Not that it matters.  For the "State" style, the change_mask is
> o never used because it applies only to new windows.

Yes, it's only there for consistency.

> I assume you mean that "change_mask" is only for new windows. Right? I
> mean, calling "WindowStyle State 3" during application should work...

For that functionality you can use the State command.  It's a bit
ugly.

Ciao

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]